Bug 806783 - For every test case within a test run, add a field for log link [NEEDINFO]
For every test case within a test run, add a field for log link
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Usability (Show other bugs)
Devel
Unspecified Unspecified
medium Severity medium
: ---
: 3.7.0
Assigned To: cqi
tools-bugs
:
: 806786 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 04:38 EDT by Shirley Zhou
Modified: 2016-05-31 21:52 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.7.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkutalek: needinfo? (yawli)


Attachments (Terms of Use)
Test log (88.38 KB, image/png)
2012-04-24 05:23 EDT, Jin Zhao
no flags Details

  None (edit)
Description Shirley Zhou 2012-03-26 04:38:42 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Kutálek 2012-03-27 07:02:21 EDT
This looks interesting for me. I wonder, what is a typical usage of this link?

We in BaseOS QA usually have a Beaker task per TCMS test case. When we are executing a test run, its associated task is ran on several architectures in Beaker.

Therefore, we have bunch of logs associated with test case run. Eg:

/CoreOS/sos/Sanity/plugins-basic
  -> i386
       - TESTOUT.log
       - avc logs
       - attached logs...
       ...
  -> x86_64
       - TESTOUT.log
       - avc logs
       - attached logs...
       ...
  ...

So far all these logs can be identified using a single URL to Beaker log archive, if they are all from one Beaker job.

In case e.g. one architecture is rerun in Beaker once more because of install failure, in separate job, all logs relevant to this test case run cannot be identified using single URL - we need one URL per Beaker job.

Would it be possible to make this additional field a multiple url one?
Comment 2 yawei Li 2012-04-10 23:05:23 EDT
we will add link in test case run, and multiple link and add/remove are supported.

will be resolved on 3.7.0 release.
Comment 3 Jin Zhao 2012-04-24 05:23:50 EDT
Created attachment 579797 [details]
Test log

Verify version 3.7.0-1 on stage - PASS
Verify steps:
1. Click to any test run , Ex https://tcms-stage.englab.bne.redhat.com/run/25260/
2. Expand one test run,
Actual result : You can Add log or delete it by anybody.
Comment 4 Petr Šplíchal 2012-04-24 08:19:08 EDT
This looks like a very useful feature. Will it be possible to
add/remove log links using xmlrpc as well? Or shall I file a
separate bug for this?
Comment 5 yawei Li 2012-05-16 05:15:53 EDT
*** Bug 806786 has been marked as a duplicate of this bug. ***
Comment 6 David Kutálek 2012-07-27 12:56:22 EDT
Any idea about xmlrpc for this as questioned in Comment 4?
Comment 7 Petr Šplíchal 2012-07-31 10:33:51 EDT
(In reply to comment #4)
> This looks like a very useful feature. Will it be possible to
> add/remove log links using xmlrpc as well? Or shall I file a
> separate bug for this?

Filed as bug 844731.

Note You need to log in before you can comment on or make changes to this bug.